# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialContractSuspensiveCondition(models.AbstractModel):
    _name = "financial.contract.suspensive.condition"
    _description = "Financial contract suspensive condition"

    condition_id = fields.Many2one(
        comodel_name="financial.suspensive.condition",
        string="Condition suspensive",
        required=True,
        ondelete="cascade",
    )
    contract_id = fields.Many2one(
        comodel_name="financial.contract",
        string="Contrat",
        required=True,
        ondelete="cascade",
    )
    condition_comment = fields.Char("Précision condition")
    comment = fields.Char("Commentaire")
    date_done = fields.Date("Date de levée")

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
